[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# LongMonthNames (deprecated)

Full names of months.

## Declaration

Source position: sysinth.inc line 103

`var LongMonthNames: TMonthNameArray;`

## Description

LongMonthNames is an array with the full names of months. It is used by the date formatting routines. The initialization routines of the SysUtils unit initialize this string with a value conforming to the regional preferences of the user or system regional default.

This constant is deprecated. You should use DefaultFormatSettings.LongMonthNames instead.

## See also

ShortDateFormat |  | Short Date Format string (subject to locale).
FormatDateTime |  | Return a string representation of a TDateTime value with a given format.
ShortMonthNames |  | Names of months, abbreviated form.
DefaultFormatSettings |  | Storage for default settings